=begin
# Mux Ruby - Copyright 2019 Mux Inc.
# NOTE: This file is auto generated. Do not edit this file manually.
=end

require 'spec_helper'
require 'json'

# Unit tests for MuxRuby::RealTimeApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'RealTimeApi' do
  before do
    # run before each test
    @instance = MuxRuby::RealTimeApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of RealTimeApi' do
    it 'should create an instance of RealTimeApi' do
      expect(@instance).to be_instance_of(MuxRuby::RealTimeApi)
    end
  end

  # unit tests for get_realtime_breakdown
  # Get Real-Time Breakdown
  # Gets breakdown information for a specific dimension and metric along with the number of concurrent viewers and negative impact score. 
  # @param realtime_metric_id ID of the Realtime Metric
  # @param [Hash] opts the optional parameters
  # @option opts [String] :dimension Dimension the specified value belongs to
  # @option opts [Float] :timestamp Timestamp to limit results by. This value must be provided as a unix timestamp. Defaults to the current unix timestamp.
  # @option opts [Array<String>] :filters Filter key:value pairs. Must be provided as an array query string parameter (e.g. filters[]&#x3D;operating_system:windows&amp;filters[]&#x3D;country:US).  Possible filter names are the same as returned by the List Filters endpoint. 
  # @option opts [String] :order_by Value to order the results by
  # @option opts [String] :order_direction Sort order.
  # @return [GetRealTimeBreakdownResponse]
  describe 'get_realtime_breakdown test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_realtime_histogram_timeseries
  # Get Real-Time Histogram Timeseries
  # Gets histogram timeseries information for a specific metric. 
  # @param realtime_metric_id ID of the Realtime Metric
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :filters Filter key:value pairs. Must be provided as an array query string parameter (e.g. filters[]&#x3D;operating_system:windows&amp;filters[]&#x3D;country:US).  Possible filter names are the same as returned by the List Filters endpoint. 
  # @return [GetRealTimeHistogramTimeseriesResponse]
  describe 'get_realtime_histogram_timeseries test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_realtime_timeseries
  # Get Real-Time Timeseries
  # Gets Time series information for a specific metric along with the number of concurrent viewers. 
  # @param realtime_metric_id ID of the Realtime Metric
  # @param [Hash] opts the optional parameters
  # @option opts [Array<String>] :filters Filter key:value pairs. Must be provided as an array query string parameter (e.g. filters[]&#x3D;operating_system:windows&amp;filters[]&#x3D;country:US).  Possible filter names are the same as returned by the List Filters endpoint. 
  # @return [GetRealTimeTimeseriesResponse]
  describe 'get_realtime_timeseries test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_realtime_dimensions
  # List Real-Time Dimensions
  # Lists availiable real-time dimensions 
  # @param [Hash] opts the optional parameters
  # @return [ListRealTimeDimensionsResponse]
  describe 'list_realtime_dimensions test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_realtime_metrics
  # List Real-Time Metrics
  # Lists availiable real-time metrics. 
  # @param [Hash] opts the optional parameters
  # @return [ListRealTimeMetricsResponse]
  describe 'list_realtime_metrics test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
